Bug 502363 - Amarok next random skipping and random stopping.
Amarok next random skipping and random stopping.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: phonon (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-24 09:19 EDT by Dalibor Horinek
Modified: 2010-01-27 19:54 EST (History)
9 users (show)

See Also:
Fixed In Version: 4.3.80-5.fc11.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-27 19:54:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dalibor Horinek 2009-05-24 09:19:47 EDT
Description of problem:
Amarok player randomly stops playing songs even when repeat playlist is on. When next is pressed, next song is played, after that stops again. This happnes after some time since amarok is started. 
Also sometimes amarok skips a random number of songs in playlist, sometimes plays only a few seconds of the song and then skips to another one, if skips (Because of behaviour described above.)

Version-Release number of selected component (if applicable):
2.0.90 (2.fc11)

How reproducible:
Run amarok, load playlist and listen.

Steps to Reproduce:
1. Run amarok.
2. Repeat playlist on.
3. Let it play.
  
Actual results:
Random tracks skipping and stopping.

Expected results:
No skipping of tracks. 
No stopping after song when repeat is on. 

Additional info:
Comment 1 Rex Dieter 2009-05-24 10:41:59 EDT
randomly?  fun. :)

2.0.96-2 is available for testing, please try it,
https://admin.fedoraproject.org/updates/amarok-2.0.96-2.20090518.fc11
Comment 2 Steven M. Parrish 2009-05-29 21:13:29 EDT
If you find the current release still has the same issue then please report this issue upstream at http://bugs.kde.org and also please add
the upstream information to this report.  We will monitor upstream for a
resolution.
Comment 3 Bug Zapper 2009-06-09 12:29:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Rex Dieter 2009-06-19 08:16:15 EDT
Please retest against latest amarok-2.1 releases in updates.

Also, do any of the songs skipped happen to have any non alphanumeric characters in the filename (ie, like % or #)?
Comment 5 John Ruemker 2009-06-24 13:55:53 EDT
I'm not sure if this is the same problem as the reporter or not, but on amarok-2.1-1.fc11.x86_64 playback stops after completing each song in the playlist.  I have to go back and hit play again for it to continue.  There are no special characters in the filenames.  

Let me know if theres any other info I can provide.

-John
Comment 6 John Ruemker 2009-06-25 12:03:02 EDT
Weird.  Its not doing it anymore after a reboot.  Disregard my comment.

-John
Comment 7 Dalibor Horinek 2009-06-26 11:55:29 EDT
Actually I think it's the same problem. After exiting and running amarok again, it plays fine for a while. 

I have amarok-2.1-1.fc11_x86_64 too and I still experience this weird behaviour. And there are no special characters in file names.
Comment 8 John Ruemker 2009-06-30 13:10:47 EDT
Ya you're right, the problem comes back after a few days for me.  

Aurelien, do you have any ideas?  I'm seeing similar reports on Ubuntu but no definitive solutions or root-cause ideas.  If I can provide any info let me know.

-John
Comment 9 Rex Dieter 2009-06-30 13:20:11 EDT
My experience is that issues like this are often triggerred by pulseaudio + (flaky) alsa drivers.
Comment 10 Steven M. Parrish 2009-07-22 07:51:53 EDT
Ping?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Steven M. Parrish 2009-09-12 19:06:40 EDT
Thank you for taking the time to report this issue.

This is an issue that needs to be addressed by the upstream developers. Please report this at http://bugs.kde.org and then add the upstream report information to this report.  We will monitor the upstream report for a resolution to this issue, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Rex Dieter 2009-12-21 15:54:19 EST
(re-triaging to phonon)

If on F-11 and moderately daring to be using kde-4.3.4 from updates-testing, mind testing out this combination of phonon + kdebase-runtime:

phonon: https://koji.fedoraproject.org/koji/buildinfo?buildID=146890
kdebase-runtime: https://koji.fedoraproject.org/koji/buildinfo?buildID=146903


If on F-12, the phonon/kdebase-runtime bits from the kde-4.3.4 in updates-testing should suffice.


Let's try this before bouncing anything upstream.
Comment 13 Fedora Update System 2010-01-21 08:16:13 EST
kdebase-runtime-4.3.4-2.fc11.1,phonon-4.3.80-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kdebase-runtime-4.3.4-2.fc11.1,phonon-4.3.80-3.fc11
Comment 14 Fedora Update System 2010-01-22 11:36:13 EST
phonon-4.3.80-5.fc11.2,kdebase-runtime-4.3.4-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/phonon-4.3.80-5.fc11.2,kdebase-runtime-4.3.4-3.fc11
Comment 15 Fedora Update System 2010-01-25 19:59:40 EST
phonon-4.3.80-5.fc11.2, kdebase-runtime-4.3.4-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update phonon kdebase-runtime'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1024
Comment 16 Fedora Update System 2010-01-27 19:54:45 EST
phonon-4.3.80-5.fc11.2, kdebase-runtime-4.3.4-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.